1. Media Manager
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
        GET
      • Get Folder By ID
        GET
      • Create Folder
        POST
      • Update Folder
        PATCH
      • Delete Folder
        DELETE
      • Get Files
        GET
      • Get File By ID
        GET
      • Create File
        POST
      • Update File
        PATCH
      • Delete File
        DELETE
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
Blog
Github
  1. Media Manager

Get File By ID

GET
/api/v1/media-manager/files/{fileId}
Get file details by ID.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/media-manager/files/a11ff961-cf00-4f9f-bb7b-c2c04a274605' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": "a11ff961-cf00-4f9f-bb7b-c2c04a274605",
        "uploadId": "a11ff961-ca9e-4bf0-ae5d-bbf6b5346ded",
        "folderId": "019b666f-5b1e-738e-b88f-6e08c466a4f7",
        "title": "Red Pixel Test",
        "description": "A tiny test image to verify upload",
        "altText": "Alt text",
        "sortOrder": 0,
        "isFavorite": true,
        "isPrivate": false,
        "createdAt": "2026-02-20T11:29:59.000000Z",
        "updatedAt": "2026-02-20T11:29:59.000000Z",
        "upload": {
            "id": "a11ff961-ca9e-4bf0-ae5d-bbf6b5346ded",
            "fileName": "red-pixel.png",
            "fileSize": 70,
            "fileUrl": "https://cdn.klink.cloud/media-manager/038ec0fe-9ea9-4050-8c77-67b802663f43/3dc8ede4-72e3-4c58-bfc0-4d278aacbfa0/red-pixel.png?Expires=1771590808&Signature=PbGvpM7qXGv293GcJ7FjZDRSWyhbsbRo2qjEhAUrlRDBBVm97atGT3LqX5WFGu-jJOE0-Z3zWVKOYSpxfIiTttUTRf1M6Jp541i12UXKb5jP3Tckcof7YxkQesLAI5EjKykEs96s-I6rpwamQnlUjRGC-F8T47H8sjVphtwP0M8DvjceGN-GTtzgZWWhy4THoJnLGvAQql1wEEeb48i98GwOnwbqnlHntTs73BfCw2HwHpF3OqmfJVDCCCOvxGxou3qTqwTs7wamKJTQFhCFdj7G7JoBNxi-oO~TaXfe50Krcbmkr567R6g1vAu-65bY6yxDbRv5XdxCACYg7VkKQw__&Key-Pair-Id=K2HIX5T4LSGPEG"
        }
    }
}
Modified at 2026-02-20 11:56:36
Previous
Get Files
Next
Create File
Built with